using NLog;
using NLog.Config;
using NLog.Targets;

namespace IOB_UT_NEXT
{/// <summary>
 /// Classe helper x LOG basata su NLog </summary>
    public static class Logging
    {
        #region Public Constructors

        static Logging()
        {
#if DEBUG
            // Setup the logging view for Sentinel - http://sentinel.codeplex.com
            var sentinalTarget = new NLogViewerTarget()
            {
                Name = "sentinal",
                Address = "udp://127.0.0.1:9999",
                IncludeNLogData = false
            };
            var sentinalRule = new LoggingRule("*", LogLevel.Trace, sentinalTarget);
            LogManager.Configuration.AddTarget("sentinal", sentinalTarget);
            LogManager.Configuration.LoggingRules.Add(sentinalRule);

#endif

            LogManager.ReconfigExistingLoggers();

            Instance = LogManager.GetCurrentClassLogger();
        }

        #endregion Public Constructors

        #region Public Properties

        /// <summary>
        /// S
        /// </summary>
        public static NLog.Logger Instance { get; private set; }

        #endregion Public Properties
    }
}